Package org.spongepowered.asm.util.asm

## Class MarkerNode

- java.lang.Object
- - org.objectweb.asm.tree.AbstractInsnNode
  - - org.objectweb.asm.tree.LabelNode
    - - org.spongepowered.asm.util.asm.MarkerNode

    public class MarkerNode
    extends org.objectweb.asm.tree.LabelNode

A label node used as a marker in the bytecode. Does not actually visit the label when visited.

### Field Summary

Fields
`static int` `BODY_START` Marks the start of the body in a constructor
`static int` `INITIALISER_TAIL` Marks the end of the initialiser in a constructor
`int` `type` The type for this marker

### Fields inherited from class org.objectweb.asm.tree.AbstractInsnNode

`FIELD_INSN, FRAME, IINC_INSN, INSN, INT_INSN, invisibleTypeAnnotations, INVOKE_DYNAMIC_INSN, JUMP_INSN, LABEL, LDC_INSN, LINE, LOOKUPSWITCH_INSN, METHOD_INSN, MULTIANEWARRAY_INSN, opcode, TABLESWITCH_INSN, TYPE_INSN, VAR_INSN, visibleTypeAnnotations`

### Constructor Summary

Constructors
`MarkerNode​(int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept​(org.objectweb.asm.MethodVisitor methodVisitor)`

### Methods inherited from class org.objectweb.asm.tree.LabelNode

`clone, getLabel, getType, resetLabel`

### Methods inherited from class org.objectweb.asm.tree.AbstractInsnNode

`acceptAnnotations, cloneAnnotations, getNext, getOpcode, getPrevious`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INITIALISER_TAIL

    public static final int INITIALISER_TAIL

Marks the end of the initialiser in a constructor

See Also:
  Constant Field Values

#### BODY_START

    public static final int BODY_START

Marks the start of the body in a constructor

See Also:
  Constant Field Values

#### type

    public final int type

The type for this marker

### Constructor Detail

#### MarkerNode

    public MarkerNode​(int type)

### Method Detail

#### accept

    public void accept​(org.objectweb.asm.MethodVisitor methodVisitor)

Overrides:
  `accept` in class `org.objectweb.asm.tree.LabelNode`